# Put constraints in the syn tree.

set_property PACKAGE_PIN F2 [get_ports sfp0_txp_o]
set_property PACKAGE_PIN F1 [get_ports sfp0_txn_o]
set_property PACKAGE_PIN G4 [get_ports sfp0_rxp_o]
set_property PACKAGE_PIN G3 [get_ports sfp0_rxn_o]

set_property PACKAGE_PIN D6 [get_ports clk_gtx_125m_p]
set_property PACKAGE_PIN D5 [get_ports clk_gtx_125m_n]

set_property PACKAGE_PIN D2 [get_ports sfp1_txp_o]
set_property PACKAGE_PIN D1 [get_ports sfp1_txn_o]
set_property PACKAGE_PIN E4 [get_ports sfp1_rxp_o]
set_property PACKAGE_PIN E3 [get_ports sfp1_rxn_o]

# Bank 14 - 3.3 Volts
set_property PACKAGE_PIN C23 [get_ports flash_cs_n_o]
set_property PACKAGE_PIN B24 [get_ports flash_mosi_o]
set_property PACKAGE_PIN A25 [get_ports flash_miso_i]
set_property IOSTANDARD LVCMOS33 [get_ports flash_cs_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports flash_mosi_o]
set_property IOSTANDARD LVCMOS33 [get_ports flash_miso_i]

set_property PACKAGE_PIN B22 [get_ports dac_main_cs_n_o]
set_property PACKAGE_PIN A22 [get_ports dac_main_sclk_o]
set_property PACKAGE_PIN B25 [get_ports dac_main_din_o]
set_property IOSTANDARD LVCMOS33 [get_ports dac_main_cs_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports dac_main_sclk_o]
set_property IOSTANDARD LVCMOS33 [get_ports dac_main_din_o]

set_property PACKAGE_PIN B26 [get_ports dac_helper_cs_n_o]
set_property PACKAGE_PIN A23 [get_ports dac_helper_sclk_o]
set_property PACKAGE_PIN A24 [get_ports dac_helper_din_o]
set_property IOSTANDARD LVCMOS33 [get_ports dac_helper_cs_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports dac_helper_sclk_o]
set_property IOSTANDARD LVCMOS33 [get_ports dac_helper_din_o]

set_property PACKAGE_PIN D26 [get_ports pll_main_sync_o]
set_property PACKAGE_PIN C26 [get_ports pll_main_sdi_o]
set_property PACKAGE_PIN C24 [get_ports pll_main_sdo_i]
set_property PACKAGE_PIN D21 [get_ports pll_main_sclk_o]
set_property PACKAGE_PIN C22 [get_ports pll_main_reset_o]
set_property PACKAGE_PIN B20 [get_ports pll_main_lock_i]
set_property PACKAGE_PIN A20 [get_ports pll_main_cs_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_main_sync_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_main_sdi_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_main_sdo_i]
set_property IOSTANDARD LVCMOS33 [get_ports pll_main_sclk_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_main_cs_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_main_reset_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_main_lock_i]

set_property PACKAGE_PIN E21 [get_ports pll_ext_sync_o]
set_property PACKAGE_PIN E22 [get_ports pll_ext_sdi_o]
set_property PACKAGE_PIN C21 [get_ports pll_ext_sdo_i]
set_property PACKAGE_PIN B21 [get_ports pll_ext_sclk_o]
set_property PACKAGE_PIN D23 [get_ports pll_ext_reset_o]
set_property PACKAGE_PIN D24 [get_ports pll_ext_lock_i]
set_property PACKAGE_PIN F22 [get_ports pll_ext_cs_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_ext_sync_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_ext_sdi_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_ext_sdo_i]
set_property IOSTANDARD LVCMOS33 [get_ports pll_ext_sclk_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_ext_reset_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_ext_lock_i]
set_property IOSTANDARD LVCMOS33 [get_ports pll_ext_cs_n_o]

set_property PACKAGE_PIN E23 [get_ports sfp0_detect_b]
set_property PACKAGE_PIN G22 [get_ports sfp0_tx_disable_o]
set_property PACKAGE_PIN F23 [get_ports sfp0_scl_b]
set_property PACKAGE_PIN G24 [get_ports sfp0_los_i]
set_property PACKAGE_PIN F24 [get_ports sfp0_sda_b]
set_property PACKAGE_PIN E25 [get_ports sfp0_led_act]
set_property PACKAGE_PIN D25 [get_ports sfp0_led_link]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_detect_b]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_tx_disable_o]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_scl_b]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_los_i]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_sda_b]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_led_act]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_led_link]

set_property PACKAGE_PIN G25 [get_ports sfp1_sda_b]
set_property PACKAGE_PIN G26 [get_ports sfp1_tx_disable_o]
set_property PACKAGE_PIN F25 [get_ports sfp1_scl_b]
set_property PACKAGE_PIN E26 [get_ports sfp1_detect_b]
set_property PACKAGE_PIN J26 [get_ports sfp1_led_act]
set_property PACKAGE_PIN H26 [get_ports sfp1_led_link]
set_property PACKAGE_PIN H21 [get_ports sfp1_los_i]

set_property IOSTANDARD LVCMOS33 [get_ports sfp1_sda_b]
set_property IOSTANDARD LVCMOS33 [get_ports sfp1_tx_disable_o]
set_property IOSTANDARD LVCMOS33 [get_ports sfp1_scl_b]
set_property IOSTANDARD LVCMOS33 [get_ports sfp1_detect_b]
set_property IOSTANDARD LVCMOS33 [get_ports sfp1_led_act]
set_property IOSTANDARD LVCMOS33 [get_ports sfp1_led_link]
set_property IOSTANDARD LVCMOS33 [get_ports sfp1_los_i]

set_property PACKAGE_PIN H22 [get_ports mac_addr_sda_b]
set_property PACKAGE_PIN J24 [get_ports mac_addr_scl_o]
set_property IOSTANDARD LVCMOS33 [get_ports mac_addr_sda_b]
set_property IOSTANDARD LVCMOS33 [get_ports mac_addr_scl_o]











